#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeplasmaver	6.3.2
%define		qtver		5.15.2
%define		kpname		qqc2-breeze-style

Summary:	QQC2StyleBridge
Name:		kp6-%{kpname}
Version:	6.3.2
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/plasma/%{kdeplasmaver}/%{kpname}-%{version}.tar.xz
# Source0-md5:	361d1a0da813fd82bd36e11fcc4b157b
URL:		http://www.kde.org/
BuildRequires:	Qt6Core-devel >= %{qtver}
BuildRequires:	Qt6Quick-devel >= %{qtver}
BuildRequires:	Qt6Test-devel >= %{qtver}
BuildRequires:	cmake >= 3.16.0
BuildRequires:	ninja
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zlib-devel
Requires:	kf6-dirs
Obsoletes:	kp5-%{kpname} < %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt6dir		%{_libdir}/qt6

%description
This is a pure Qt Quick/Kirigami Qt Quick Controls style. Unlike
QQC2-Desktop-Style, it does not depend on Qt Widgets and the system
QStyle. It looks like the KDE Visual Design Group's vision for Breeze.

It behaves similar to how the Qt Basic, Fusion and Material QQC2
styles behave, but with various extra features to improve the user
experience.

The performance, loading times and RAM usage should be generally
competitive with the Qt Fusion and Material QQC2 styles.

%prep
%setup -q -n %{kpname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON
%ninja_build -C build

%if %{with tests}
ctest
%endif

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{_libdir}/qt6/qml/org/kde/breeze
%dir %{_libdir}/qt6/qml/org/kde/breeze/impl
%{_libdir}/qt6/qml/org/kde/breeze/impl/ButtonBackground.qml
%{_libdir}/qt6/qml/org/kde/breeze/impl/CheckIndicator.qml
%{_libdir}/qt6/qml/org/kde/breeze/impl/ComboBoxBackground.qml
%{_libdir}/qt6/qml/org/kde/breeze/impl/CursorDelegate.qml
%{_libdir}/qt6/qml/org/kde/breeze/impl/CursorHandle.qml
%{_libdir}/qt6/qml/org/kde/breeze/impl/DelegateBackground.qml
%{_libdir}/qt6/qml/org/kde/breeze/impl/FocusRect.qml
%{_libdir}/qt6/qml/org/kde/breeze/impl/IconLabelContent.qml
%{_libdir}/qt6/qml/org/kde/breeze/impl/IconLabelShortcutContent.qml
%{_libdir}/qt6/qml/org/kde/breeze/impl/InlineIconLabelContent.qml
%{_libdir}/qt6/qml/org/kde/breeze/impl/LargeShadow.qml
%{_libdir}/qt6/qml/org/kde/breeze/impl/ListViewHighlight.qml
%{_libdir}/qt6/qml/org/kde/breeze/impl/MediumShadow.qml
%{_libdir}/qt6/qml/org/kde/breeze/impl/MenuItemBackground.qml
%{_libdir}/qt6/qml/org/kde/breeze/impl/OverlayDimBackground.qml
%{_libdir}/qt6/qml/org/kde/breeze/impl/OverlayModalBackground.qml
%{_libdir}/qt6/qml/org/kde/breeze/impl/RadioIndicator.qml
%{_libdir}/qt6/qml/org/kde/breeze/impl/ScrollHandle.qml
%{_libdir}/qt6/qml/org/kde/breeze/impl/SliderGroove.qml
%{_libdir}/qt6/qml/org/kde/breeze/impl/SliderHandle.qml
%{_libdir}/qt6/qml/org/kde/breeze/impl/SpinBoxIndicator.qml
%{_libdir}/qt6/qml/org/kde/breeze/impl/SwitchIndicator.qml
%{_libdir}/qt6/qml/org/kde/breeze/impl/TextEditBackground.qml
%{_libdir}/qt6/qml/org/kde/breeze/impl/qmldir
%{_libdir}/qt6/qml/org/kde/breeze/qmldir
%{_libdir}/cmake/QQC2BreezeStyle
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kirigami/platform/org.kde.breeze.so
%{_libdir}/qt6/qml/org/kde/breeze/AbstractButton.qml
%{_libdir}/qt6/qml/org/kde/breeze/ApplicationWindow.qml
%{_libdir}/qt6/qml/org/kde/breeze/BreezeStyle.qmltypes
%{_libdir}/qt6/qml/org/kde/breeze/BusyIndicator.qml
%{_libdir}/qt6/qml/org/kde/breeze/Button.qml
%{_libdir}/qt6/qml/org/kde/breeze/ButtonGroup.qml
%{_libdir}/qt6/qml/org/kde/breeze/CheckBox.qml
%{_libdir}/qt6/qml/org/kde/breeze/CheckDelegate.qml
%{_libdir}/qt6/qml/org/kde/breeze/ComboBox.qml
%{_libdir}/qt6/qml/org/kde/breeze/Container.qml
%{_libdir}/qt6/qml/org/kde/breeze/Control.qml
%{_libdir}/qt6/qml/org/kde/breeze/DelayButton.qml
%{_libdir}/qt6/qml/org/kde/breeze/Dial.qml
%{_libdir}/qt6/qml/org/kde/breeze/Dialog.qml
%{_libdir}/qt6/qml/org/kde/breeze/DialogButtonBox.qml
%{_libdir}/qt6/qml/org/kde/breeze/Drawer.qml
%{_libdir}/qt6/qml/org/kde/breeze/Frame.qml
%{_libdir}/qt6/qml/org/kde/breeze/GroupBox.qml
%{_libdir}/qt6/qml/org/kde/breeze/HorizontalHeaderView.qml
%{_libdir}/qt6/qml/org/kde/breeze/ItemDelegate.qml
%{_libdir}/qt6/qml/org/kde/breeze/Label.qml
%{_libdir}/qt6/qml/org/kde/breeze/Menu.qml
%{_libdir}/qt6/qml/org/kde/breeze/MenuBar.qml
%{_libdir}/qt6/qml/org/kde/breeze/MenuBarItem.qml
%{_libdir}/qt6/qml/org/kde/breeze/MenuItem.qml
%{_libdir}/qt6/qml/org/kde/breeze/MenuSeparator.qml
%{_libdir}/qt6/qml/org/kde/breeze/MobileTextActionsToolBar.qml
%{_libdir}/qt6/qml/org/kde/breeze/Page.qml
%{_libdir}/qt6/qml/org/kde/breeze/PageIndicator.qml
%{_libdir}/qt6/qml/org/kde/breeze/Pane.qml
%{_libdir}/qt6/qml/org/kde/breeze/Popup.qml
%{_libdir}/qt6/qml/org/kde/breeze/ProgressBar.qml
%{_libdir}/qt6/qml/org/kde/breeze/RadioButton.qml
%{_libdir}/qt6/qml/org/kde/breeze/RadioDelegate.qml
%{_libdir}/qt6/qml/org/kde/breeze/RangeSlider.qml
%{_libdir}/qt6/qml/org/kde/breeze/RoundButton.qml
%{_libdir}/qt6/qml/org/kde/breeze/ScrollBar.qml
%{_libdir}/qt6/qml/org/kde/breeze/ScrollIndicator.qml
%{_libdir}/qt6/qml/org/kde/breeze/ScrollView.qml
%{_libdir}/qt6/qml/org/kde/breeze/Slider.qml
%{_libdir}/qt6/qml/org/kde/breeze/SpinBox.qml
%{_libdir}/qt6/qml/org/kde/breeze/SplitView.qml
%{_libdir}/qt6/qml/org/kde/breeze/StackView.qml
%{_libdir}/qt6/qml/org/kde/breeze/SwipeDelegate.qml
%{_libdir}/qt6/qml/org/kde/breeze/SwipeView.qml
%{_libdir}/qt6/qml/org/kde/breeze/Switch.qml
%{_libdir}/qt6/qml/org/kde/breeze/SwitchDelegate.qml
%{_libdir}/qt6/qml/org/kde/breeze/TabBar.qml
%{_libdir}/qt6/qml/org/kde/breeze/TabButton.qml
%{_libdir}/qt6/qml/org/kde/breeze/TextArea.qml
%{_libdir}/qt6/qml/org/kde/breeze/TextField.qml
%{_libdir}/qt6/qml/org/kde/breeze/ToolBar.qml
%{_libdir}/qt6/qml/org/kde/breeze/ToolButton.qml
%{_libdir}/qt6/qml/org/kde/breeze/ToolSeparator.qml
%{_libdir}/qt6/qml/org/kde/breeze/ToolTip.qml
%{_libdir}/qt6/qml/org/kde/breeze/Tumbler.qml
%{_libdir}/qt6/qml/org/kde/breeze/VerticalHeaderView.qml
%{_libdir}/qt6/qml/org/kde/breeze/impl/BreezeImpl.qmltypes
%{_libdir}/qt6/qml/org/kde/breeze/impl/SmallBoxShadow.qml
%{_libdir}/qt6/qml/org/kde/breeze/impl/Theme.qml
%{_libdir}/qt6/qml/org/kde/breeze/impl/Units.qml
%{_libdir}/qt6/qml/org/kde/breeze/impl/kde-qmlmodule.version
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/breeze/impl/libBreezeImpl.so
%{_libdir}/qt6/qml/org/kde/breeze/kde-qmlmodule.version
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/breeze/libBreezeStyle.so
#%{_libdir}/qt6/qml/org/kde/kirigami/styles/org.kde.breeze/AbstractApplicationHeader.qml
%changelog
* Tue Mar 04 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp6-qqc2-breeze-style.git;a=log;h=master

* Thu Feb 27 2025 Witold Filipczyk <witekfl@poczta.onet.pl> fbfdb0c
- updated to 6.3.2

* Thu Feb 20 2025 Witold Filipczyk <witekfl@poczta.onet.pl> b4f2825
- updated to 6.3.1

* Wed Feb 12 2025 Witold Filipczyk <witekfl@poczta.onet.pl> d5a3c02
- updated to 6.3.0

* Wed Jan 01 2025 Witold Filipczyk <witekfl@poczta.onet.pl> c1ee271
- updated to 6.2.5

* Tue Nov 26 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 188b375
- updated to 6.2.4

* Tue Nov 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> c852c47
- updated to 6.2.3

* Tue Oct 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 6e6a088
- updated to 6.2.2

* Tue Oct 15 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 8726949
- updated to 6.2.1

* Tue Oct 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> cfe4860
- updated to 6.2.0

* Tue Sep 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 0b8e944
- updated to 6.1.5

* Sun Aug 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 47f7760
- updated to 6.1.4

* Wed Jul 17 2024 Witold Filipczyk <witekfl@poczta.onet.pl> d686ccc
- updated to 6.1.3

* Wed Jul 03 2024 Witold Filipczyk <witekfl@poczta.onet.pl> dd72f7f
- updated to 6.1.2

* Wed Jun 26 2024 Witold Filipczyk <witekfl@poczta.onet.pl> e0ad49c
- updated to 6.1.1

* Wed Jun 19 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 4cf3507
- updated to 6.1.0

* Wed May 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 36c9324
- updated to 6.0.5

* Wed Apr 17 2024 Witold Filipczyk <witekfl@poczta.onet.pl> ba1067e
- updated to 6.0.4

* Wed Mar 27 2024 Witold Filipczyk <witekfl@poczta.onet.pl> d951ad4
- updated to 6.0.3

* Wed Mar 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> c0b3f85
- updated to 6.0.2

* Thu Mar 07 2024 Witold Filipczyk <witekfl@poczta.onet.pl> cc5d92f
- updated to 6.0.1

